Bug 1590848 - tweak tool fails to start
Summary: tweak tool fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-tweak-tool
Version: 7.6
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: beta
: ---
Assignee: Carlos Soriano
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1607454
TreeView+ depends on / blocked
 
Reported: 2018-06-13 13:30 UTC by Martin Krajnak
Modified: 2018-10-30 10:29 UTC (History)
4 users (show)

Fixed In Version: gnome-tweak-tool-3.28.1-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:28:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:29:23 UTC

Description Martin Krajnak 2018-06-13 13:30:58 UTC
Description of problem:
[test@localhost ~]$ gnome-tweaks 
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gtweak/app.py", line 30, in do_activate
    self.win = Window(self, model)
  File "/usr/lib/python2.7/site-packages/gtweak/tweakview.py", line 45, in __init__
    self._model.load_tweaks(self)
  File "/usr/lib/python2.7/site-packages/gtweak/tweakmodel.py", line 104, in load_tweaks
    mods = __import__("gtweak.tweaks", globals(), locals(), tweak_files, 0)
  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_group_appearance.py", line 261, in <module>
    GtkThemeSwitcher(),
  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_group_appearance.py", line 35, in __init__
    self._gtksettings3 = GtkSettingsManager('3.0')
  File "/usr/lib/python2.7/site-packages/gtweak/gtksettings.py", line 21, in __init__
    os.makedirs(os.path.dirname(self._path), exist_ok=True)
TypeError: makedirs() got an unexpected keyword argument 'exist_ok'


Version-Release number of selected component (if applicable):
gnome-tweak-tool-3.28.1-1.el7.noarch

How reproducible:
always

Steps to Reproduce:
1.Run tweaks from gnome-shell of from gnome-terminal

Actual results:
tweak tool won't start, error message documented above is printed in terminal and also a notification in gnome shell is shown that configuration has been changes, session needs to be restarted, but restarting the session or rebooting has no effect  

Expected results:
tweaks should work

Additional info:

Comment 13 Martin Krajnak 2018-08-09 08:11:05 UTC
issue was fixed in gnome-tweak-tool-3.28.1-2.el7.noarch

Comment 15 errata-xmlrpc 2018-10-30 10:28:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.